Calendar
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
GET | |
POST | |
POST | |
POST |
List all calendar sync
Calendar-sync controls for Customer analytics settings. Sync runs on an hourly Temporal schedule; this surface only offers the manual "sync now" escape hatch.
Required API key scopes
account:readExample request
GET /api /projects /:project_id /calendar_syncExample response
Status 200
RESPONSE
Create calendar sync backfill
Start an admin-only Gmail and Google Calendar backfill for an inclusive UTC date range.
Request parameters
- integration_idinteger
- start_datestring
- end_datestring
Response
Example request
POST /api /projects /:project_id /calendar_sync /backfillExample response
Status 200
RESPONSE
Create calendar sync interval
Calendar-sync controls for Customer analytics settings. Sync runs on an hourly Temporal schedule; this surface only offers the manual "sync now" escape hatch.
Request parameters
- integration_idinteger
- sync_interval_minutesinteger
Response
Example request
POST /api /projects /:project_id /calendar_sync /intervalExample response
Status 200
RESPONSE
Create calendar sync sync now
Start a sync run for one connected Google Calendar immediately, outside the hourly schedule.
Request parameters
- integration_idinteger
Response
Example request
POST /api /projects /:project_id /calendar_sync /sync_nowExample response
Status 200
RESPONSE